package prezenty;

import java.util.Random;

public class Ksiazka extends Prezent {
    public static String[] LOSOWE_TYTULY = {"Lalka", "Potop", "Pan Tadeusz"};
    public static String[] LOSOWI_AUTORZY = {"Adam Mickiewicz", "Jan Słowacki", "Henryk Sienkiewicz"};
    public static Random rnd = new Random();

    private String tytul;
    private String autor;

    Ksiazka(String autor, String tytul) {
        super(autor + ": " + tytul, KategoriaPrezentu.Książki);
    }

    public static Prezent losowaKsiazka() {
        return new Ksiazka(
                LOSOWI_AUTORZY[rnd.nextInt(LOSOWI_AUTORZY.length)],
                LOSOWE_TYTULY[rnd.nextInt(LOSOWE_TYTULY.length)]
        );
    }

}
